Skip to main content

Companies

The company is the enterprise where the employee belongs and the owner of the access control or attendance tracking devices. It is important to know that employees from one company cannot be sent to devices of another company. The employee PIN is unique for each company; it's as if they were different accounts. This is designed for an implementing company that has multiple clients at once or if you want to keep logic completely separate while visualizing it all together. Billing is done by workspaces, so everything falls within the workspace account and limits. 1 company is free by default.

Endpoints​

Create company​

POST /public/v2/companies

Request Body (application/json)​

{
"company": {
"id": 0,
"name": "string",
"code": "string"
}
}

Fields:

  • company (object)

Responses​

  • 201: Created

Show company​

GET /public/v2/companies/{id}

Parameters​

NameInTypeRequiredDescription
idpathstringYes

Responses​

  • 200: OK

Update company​

PUT /public/v2/companies/{id}

Parameters​

NameInTypeRequiredDescription
idpathstringYes

Request Body (application/json)​

{
"company": {
"id": 0,
"name": "string",
"code": "string"
}
}

Fields:

  • company (object)

Responses​

  • 200: OK